<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".home.HomeActivity">

    <!-- Fragment 容器 -->
    <FrameLayout
        android:id="@+id/fragment_container"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#F5F6F6"
        app:layout_constraintBottom_toTopOf="@id/bottom_layout"
        app:layout_constraintTop_toTopOf="parent"/>

    <!-- 自定义底部导航（LinearLayout）-->
    <LinearLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="70dp"
        android:background="#F9F9F9"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent">

        <!-- 首页 -->
        <LinearLayout
            android:id="@+id/tab_home"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:clickable="true">

            <ImageView
                android:id="@+id/iv_home"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/home_checked"/>

            <TextView
                android:id="@+id/tv_home"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/home"
                android:textSize="12sp"
                android:textColor="@color/black"/>
        </LinearLayout>

        <!-- 个人 -->
        <LinearLayout
            android:id="@+id/tab_profile"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical"
            android:clickable="true">

            <ImageView
                android:id="@+id/iv_profile"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:src="@drawable/profile"/>

            <TextView
                android:id="@+id/tv_profile"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/profile"
                android:textSize="12sp"
                android:textColor="@color/gray"/>
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>